dojo.require("dojo.fx");

dojo.require("dojo.fx.easing");

dojo.require("dojox.fx.style"); 



dojo.ready(function()

{

	//Init vars

	var startWithAnim = 500;

	var textStayTime = 1000; 

	var fadeInTime = 500;

	var animRate=31/1000;

	var yMove=20;

	var bEase=dojo.fx.easing.quadOut;

	var headline=dojo.byId('header_head');

	var subline=dojo.byId('header_sub');



	setTimeout(showStuff,startWithAnim);

	

	function showStuff()

	{

		

		var hY=dojo.style(headline,"top");

		var sY=dojo.style(subline,"top");

		console.log(hY);

		console.log(hY+yMove);

		//return;

		dojo.animateProperty({

			node:dojo.byId("header_head"),

			properties:{

				opacity:{

					start:0,

					end:1

				},

				top:{

					start:Number(hY+yMove),

					end:hY

				}

			},

			easing: bEase,

			duration : fadeInTime,

			//rate:animRate,

			onBegin:function(){

				console.log(headline);

				dojo.style(headline,"visibility","visible");

			},

			onEnd:function(){

				console.log(headline);

				

				dojo.style(headline,"visibility","visible");

			}

		}).play();

		

		dojo.animateProperty({

			node:subline,

			properties:{

				opacity:{

					start:0,

					end:1

				},

				top:{

					start:Number(sY+yMove),

					end:sY

				}

			},

			easing: bEase,

			duration : fadeInTime,

			//rate:animRate,

			delay:250,

			onBegin:function(){

									console.log("pain");



				dojo.style(subline,"visibility","visible");

			},

			onEnd:function(){

				console.log(subline);

				dojo.style(subline,"visibility","visible");

			}

		}).play();

	}

});